import type { Ref } from 'vue';
export declare type SetStateAction<S> = S | ((prevState: S) => S);
export declare type Dispatch<T> = (val: SetStateAction<T>) => void;
declare const useState: <T>(initial?: T | undefined) => [Ref<T>, Dispatch<T>];
export { useState };
